cryptkey.h File Reference
`#include <gwenhywfar/inherit.h>`
`#include <gwenhywfar/list1.h>`
`#include <gwenhywfar/list2.h>`
`#include <gwenhywfar/db.h>`
`#include <gwenhywfar/cryptalgo.h>`
`#include <gwenhywfar/hashalgo.h>`
`#include <gwenhywfar/paddalgo.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_CRYPT_KEY | GWEN_CRYPT_KEY

## Functions

GWENHYWFAR_API int | GWEN_Crypt_Key_Decipher (GWEN_CRYPT_KEY *k, const uint8_t *pInData, uint32_t inLen, uint8_t *pOutData, uint32_t *pOutLen)
GWENHYWFAR_API int | GWEN_Crypt_Key_Encipher (GWEN_CRYPT_KEY *k, const uint8_t *pInData, uint32_t inLen, uint8_t *pOutData, uint32_t *pOutLen)
GWENHYWFAR_API void | GWEN_Crypt_Key_free (GWEN_CRYPT_KEY *k)
GWENHYWFAR_API GWEN_CRYPT_CRYPTALGOID | GWEN_Crypt_Key_GetCryptAlgoId (const GWEN_CRYPT_KEY *k)
GWENHYWFAR_API int | GWEN_Crypt_Key_GetKeyNumber (const GWEN_CRYPT_KEY *k)
GWENHYWFAR_API int | GWEN_Crypt_Key_GetKeySize (const GWEN_CRYPT_KEY *k)
GWENHYWFAR_API int | GWEN_Crypt_Key_GetKeyVersion (const GWEN_CRYPT_KEY *k)
GWENHYWFAR_API void | GWEN_Crypt_Key_SetKeyNumber (GWEN_CRYPT_KEY *k, int i)
GWENHYWFAR_API void | GWEN_Crypt_Key_SetKeyVersion (GWEN_CRYPT_KEY *k, int i)
GWENHYWFAR_API int | GWEN_Crypt_Key_Sign (GWEN_CRYPT_KEY *k, const uint8_t *pInData, uint32_t inLen, uint8_t *pSignatureData, uint32_t *pSignatureLen)
GWENHYWFAR_API int | GWEN_Crypt_Key_Verify (GWEN_CRYPT_KEY *k, const uint8_t *pInData, uint32_t inLen, const uint8_t *pSignatureData, uint32_t signatureLen)

## Typedef Documentation

## GWEN_CRYPT_KEY

typedef struct GWEN_CRYPT_KEY GWEN_CRYPT_KEY

Definition at line 26 of file cryptkey.h.

## Function Documentation

## GWEN_Crypt_Key_Decipher()

GWENHYWFAR_API int GWEN_Crypt_Key_Decipher | ( | GWEN_CRYPT_KEY * | k,
|  | const uint8_t * | pInData,
|  | uint32_t | inLen,
|  | uint8_t * | pOutData,
|  | uint32_t * | pOutLen )

References GWEN_Crypt_Key_Decipher(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Key_Decipher().

## GWEN_Crypt_Key_Encipher()

GWENHYWFAR_API int GWEN_Crypt_Key_Encipher | ( | GWEN_CRYPT_KEY * | k,
|  | const uint8_t * | pInData,
|  | uint32_t | inLen,
|  | uint8_t * | pOutData,
|  | uint32_t * | pOutLen )

References GWEN_Crypt_Key_Encipher(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Key_Encipher().

## GWEN_Crypt_Key_free()

GWENHYWFAR_API void GWEN_Crypt_Key_free | ( | GWEN_CRYPT_KEY * | k | ) |

References GWEN_Crypt_Key_free(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Key_free().

## GWEN_Crypt_Key_GetCryptAlgoId()

GWENHYWFAR_API GWEN_CRYPT_CRYPTALGOID GWEN_Crypt_Key_GetCryptAlgoId | ( | const GWEN_CRYPT_KEY * | k | ) |

References GWEN_CRYPT_CRYPTALGOID, GWEN_Crypt_Key_GetCryptAlgoId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Key_GetCryptAlgoId().

## GWEN_Crypt_Key_GetKeyNumber()

GWENHYWFAR_API int GWEN_Crypt_Key_GetKeyNumber | ( | const GWEN_CRYPT_KEY * | k | ) |

References GWEN_Crypt_Key_GetKeyNumber(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Key_GetKeyNumber().

## GWEN_Crypt_Key_GetKeySize()

GWENHYWFAR_API int GWEN_Crypt_Key_GetKeySize | ( | const GWEN_CRYPT_KEY * | k | ) |

References GWEN_Crypt_Key_GetKeySize(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Key_GetKeySize().

## GWEN_Crypt_Key_GetKeyVersion()

GWENHYWFAR_API int GWEN_Crypt_Key_GetKeyVersion | ( | const GWEN_CRYPT_KEY * | k | ) |

References GWEN_Crypt_Key_GetKeyVersion(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Key_GetKeyVersion().

## GWEN_Crypt_Key_SetKeyNumber()

GWENHYWFAR_API void GWEN_Crypt_Key_SetKeyNumber | ( | GWEN_CRYPT_KEY * | k,
|  | int | i )

References GWEN_Crypt_Key_SetKeyNumber(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Key_SetKeyNumber().

## GWEN_Crypt_Key_SetKeyVersion()

GWENHYWFAR_API void GWEN_Crypt_Key_SetKeyVersion | ( | GWEN_CRYPT_KEY * | k,
|  | int | i )

References GWEN_Crypt_Key_SetKeyVersion(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Key_SetKeyVersion().

## GWEN_Crypt_Key_Sign()

GWENHYWFAR_API int GWEN_Crypt_Key_Sign | ( | GWEN_CRYPT_KEY * | k,
|  | const uint8_t * | pInData,
|  | uint32_t | inLen,
|  | uint8_t * | pSignatureData,
|  | uint32_t * | pSignatureLen )

References GWEN_Crypt_Key_Sign(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Key_Sign().

## GWEN_Crypt_Key_Verify()

GWENHYWFAR_API int GWEN_Crypt_Key_Verify | ( | GWEN_CRYPT_KEY * | k,
|  | const uint8_t * | pInData,
|  | uint32_t | inLen,
|  | const uint8_t * | pSignatureData,
|  | uint32_t | signatureLen )

References GWEN_Crypt_Key_Verify(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Key_Verify().